# Websocket

## Websocat Installation Guide

### macOS Installation

#### Method 2: Using Cargo

```
cargo install websocat
```

#### Method 3: Using pre-built binaries

1. Download the latest release:

```
curl -L -o websocat https://github.com/vi/websocat/releases/latest/download/websocat_mac_amd64
```

2. Make executable and move to system path:

```
chmod +x websocat
sudo mv websocat /usr/local/bin/
```

### Windows Installation

#### Method 1: Using Cargo

1. Install Rust and Cargo first from <https://rustup.rs/>
2. Open PowerShell and run:

```
cargo install websocat
```

#### Method 2: Using pre-built binaries

1. Download the latest Windows release from: <https://github.com/vi/websocat/releases/latest/download/websocat\\_windows\\_amd64.exe>
2. Rename the file to `websocat.exe`
3. Add to System PATH:
   * Move the executable to a directory in your PATH, or
   * Add the directory containing websocat.exe to your PATH environment variable

### Verifying Installation

To verify the installation was successful, open a terminal/command prompt and run:

```
websocat --version
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpc.forbole.com/rpc-api-documentation/guide-to-rpc/endpoints/websocket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
